FcUtf16Len(3)

NAME
FcUtf16Len - count UTF-16 encoded chars

SYNOPSIS

#include <fontconfig.h>

FcBool FcUtf16Len (FcChar8 *src, FcEndianendian, intlen, int *nchar, int *wchar);

DESCRIPTION

Counts the number of Unicode chars in len bytes of src. Bytes of src are combined into 16-bit units according to endian. Places that count in nchar. wchar contains 1, 2 or 4 depending on the number of bytes needed to hold the largest unicode char counted. The return value indicates whether string is a well-formed UTF16 string.

VERSION

Fontconfig version 2.3.2